unixodbc (2.3.12-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085303, #2085815). Remaining changes:
    - SECURITY UPDATE: Out-of-bounds write
      + debian/patches/CVE-2024-1013.patch: PostgreSQL driver: Fix
        incompatible pointer-to-integer types
      + CVE-2024-1013

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 08 Jan 2025 10:17:53 -0300

unixodbc (2.3.12-2) unstable; urgency=medium

  * debian/control:
    + libodbc2 now Recommends libodbccr2.
    + libodbccr2 no longer Depends on libodbc2.
    + libodbccr2 Enhances libodbc2.
    + Raise Standards-Version to 4.7.0 from 4.6.2 (no changes needed).
  * debian/copyright: Update for 2024.
  * debian/patches: Add 0001-configure-ac-cursor-lib.patch to enable a
    versioned cursor library (Closes: #1089695, LP: #2085815).
  * debian/rules: Pass --enable-cursor-ver to configure.

 -- Hugh McMaster <hmc@debian.org>  Tue, 17 Dec 2024 22:34:56 +1100

unixodbc (2.3.12-1ubuntu1) oracular; urgency=medium

  * SECURITY UPDATE: Out-of-bounds write
    - debian/patches/CVE-2024-1013.patch: PostgreSQL driver: Fix
      incompatible pointer-to-integer types
    - CVE-2024-1013

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 03 Jun 2024 10:27:39 -0300

unixodbc (2.3.12-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:30:48 +0000

unixodbc (2.3.12-1build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 03:02:12 +0100

unixodbc (2.3.12-1) unstable; urgency=medium

  * New upstream version 2.3.12:
    + iusql now supports connection strings and passwords containing
      semicolons. Refer to the man page for syntax (Closes: #1014603).
  * debian/copyright: Update upstream copyright for 2023.
  * debian/patches: Drop no-config-header.patch (merged upstream).
  * libodbcinst2: Update symbols file.
  * unixodbc-common: Remove legacy rm_conffile handling.

 -- Hugh McMaster <hmc@debian.org>  Wed, 09 Aug 2023 22:22:15 +1000

unixodbc (2.3.11-4) unstable; urgency=medium

  * unixodbc-common.{preinst|postinst}: Fix maintscript breakage on systems
    where /etc/odbcinst.ini is not present on upgrade (Closes: #1038122).

 -- Hugh McMaster <hmc@debian.org>  Fri, 16 Jun 2023 22:44:16 +1000

unixodbc (2.3.11-3) unstable; urgency=medium

  * debian/control:
    + Update Maintainer email address.
    + Raise Standards-Version to 4.6.2 (no changes needed).
    + Update Homepage field.
    + Drop transitional packages (libodbc1, odbcinst1debian2).
    + unixodbc-common, odbcinst: Add Breaks+Replaces against odbcinst1debian1
      (Closes: #1037172).
  * debian/copyright: Update Source field and update for 2023.
  * unixodbc-common: Remove obsolete conffile (Closes: #1009152).
  * debian/upstream/metadata: Update Documentation field.

 -- Hugh McMaster <hmc@debian.org>  Thu, 15 Jun 2023 18:00:48 +1000

unixodbc (2.3.11-2) unstable; urgency=medium

  * debian/control: Update Standards-Version to 4.6.1 (no changes needed).
  * unixodbc-dev: Install unixodbc.h and unixODBC/unixodbc_conf.h into a
    multi-arch include directory.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 23 May 2022 21:14:45 +1000

unixodbc (2.3.11-1) unstable; urgency=medium

  * New upstream version 2.3.11:
    - Connection pooling via wide connection functions.
    - Various bug fixes and improvements.
  * debian/copyright: Update for unixODBC 2.3.11.
  * debian/patches:
    - Drop all patches (applied upstream).
    - Add patch to prevent installation of config.h.
  * debian/not-installed: Update excluded files list.
  * debian/rules: Build with a multi-arch ODBC driver path.
  * debian/watch: Switch to upstream's GitHub repository.
  * unixodbc-dev: Install unixodbc.h and unixODBC/unixodbc_conf.h.
  * Drop source Lintian overrides (no longer needed).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 13 May 2022 22:26:21 +1000

unixodbc (2.3.9-5) unstable; urgency=medium

  * debian/copyright: Extend copyright to 2022.
  * debian/patches:
    - unixodbc_conf.patch: Replace inclusion of unixodbc_conf.h with
      minimal preprocessor definitions (Closes: #1005887).
    - Remove sizeof_long_int.patch (superseded by unixodbc_conf.patch).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 22 Feb 2022 22:48:14 +1100

unixodbc (2.3.9-4) unstable; urgency=medium

  * debian/control:
    - odbcinst1debian2 breaks odbc-postgresql (<< 1:13.02.0000-2).
    - unixodbc-dev breaks libdbd-odbc-perl (<< 1.61-2).
    - Add odbcinst as a dependency of odbcinst1debian2 for compatibility.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 30 Nov 2021 23:18:15 +1100

unixodbc (2.3.9-3) unstable; urgency=medium

  * debian/control: libodbc1 also depends on libodbccr2 (Closes: #1000465).
  * debian/not-installed: Add upstream-generated odbcinst.ini file.
  * unixodbc-common:
    - Do not install odbcinst.ini as a conffile.
    - Add maintscripts to manage the odbcinst.ini file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Fri, 26 Nov 2021 22:59:37 +1100

unixodbc (2.3.9-2) unstable; urgency=medium

  * Release to unstable.
  * debian/control:
    - Raise Standards-Version to 4.6.0 (no changes needed).
    - Reinstate libodbc1 and odbcinst1debian2 as transitional packages, and
      install compatibility symlinks to the libodbc*2 libraries.
    - Drop the libltdl-dev dependency from unixodbc-dev (Closes: #997870).
  * debian/rules: Don't install the upstream ChangeLog.
  * debian/source/lintian-overrides:
    - Silence some 'very-long-line-length-in-source-file' messages.
  * unixodbc: Don't install the upstream NEWS file.
  * Remove legacy debian/NEWS file.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 23 Nov 2021 21:37:59 +1100

unixodbc (2.3.9-1) experimental; urgency=medium

  * New upstream version (Closes: #971900).
    - Driver logging is now disabled by default (Closes: #740538).
    - Prevent truncation of odbc.ini by only opening the file for writing when
      it is safe to do so (Closes: #885463, #885472).
  * New maintainer: Hugh McMaster.
    - Thank you to Steve Langasek for maintaining unixODBC over the years.
  * libodbc2 has replaced libodbc1:
    - Update install and symbols files.
    - Add Build-Depends-Package meta-information field to the symbols file.
    - Remove legacy libodbc1 files (links, lintian-overrides, dirs, postrm).
  * Split libodbccr2 from libodbc2.
  * Split libodbcinst2 from odbcinst1debian2.
  * ODBC drivers and driver config modules are no longer installed.
    - Please switch to packages supplied by ODBC driver vendors.
  * Move the ODBC configuration files/dirs to the new unixodbc-common package.
  * unixodbc-dev: autotest.h and unixodbc_conf.h are no longer packaged.
  * debian/changelog: Fix a typo in a function name.
  * debian/control:
    - Switch to debhelper-compat v13.
    - Remove build-dependency on dh-exec.
    - Update Maintainer field.
    - Update package descriptions (Closes: #471900).
    - Unify formatting of "Open Database Connectivity".
    - Remove unneeded Breaks+Replaces fields on various packages.
    - Remove unneeded Conflicts fields on various packages.
    - Update package descriptions and dependencies.
    - No longer Suggest libmyodbc or unixodbc-bin (packages not installable).
    - New library packages: libodbc2, libodbccr2 and libodbcinst2.
    - New package for configuration files: unixodbc-common.
    - Update field order in Source stanza.
    - Add Rules-Requires-Root: no.
    - Add Vcs-* fields.
    - Raise Standards-Version to 4.5.1 from 4.1.4.
  * debian/copyright: Update for unixODBC 2.3.9 and 2021.
  * debian/patches:
    - Drop patches applied upstream: apple-altivec-defined.patch,
      makefile-am-destdir.patch, fix-DriverManager-exports.patch,
      odbcinst.ini.5-spelling.patch.
    - Drop iniopen.patch to avoid breaking third-party applications that rely
      on the unpatched file-creation behaviour.
    - Refresh and forward drvcfg-spelling.patch and multiarch-libltdl.patch.
    - Forward export-odbcinst-functions.patch upstream.
    - Add a patch to fix spelling errors in the PostgreSQL ODBC driver.
    - Add a patch to apply roman formatting instead of generating 'registered'
      symbols throughout the upstream man pages.
    - Add a patch to simplify the generation of ODBC driver config modules.
    - Add a patch to #define SIZEOF_LONG_INT using a compiler macro extension.
  * debian/rules:
    - Remove copyright statement.
    - Update configure flags so we use the system libltdl package.
    - Remove configure flags enabling the build of legacy ODBC drivers
      and driver config modules.
    - Remove unneeded dh_auto_install, dh_makeshlibs and dh_link overrides.
  * debian/watch: Point to upstream's FTP server.
  * Add Debian helper files: gbp.conf, not-installed and upstream/metadata.
  * Update symbols files and add Build-Depends-Package meta-information fields.
  * Remove legacy shell script: update-manifest.sh.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 19 Apr 2021 23:25:30 +1000

unixodbc (2.3.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #888968).
    - Fix buffer overflow when calling unicode_to_ansi_copy() in
      DriverManager/SQLDriverConnectW.c (CVE-2018-7409) (Closes: #891596).
    - Package upstream manpages instead of Debian versions (Closes: #893891).
    - Fix potential buffer overflow vulnerabilities in SQLDriverConnect
      functions (CVE-2012-2657 and CVE-2012-2658) (Closes: #675058).
    - Install pkg-config files (Closes: #422207).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debhelper package compatibility to level 11.
  * debian/changelog: Remove trailing whitespace.
  * debian/control:
    - Build-Depend on debhelper version 11.
    - Remove dh-autoreconf from the Build-Depends list.
    - Raise Standards-Version to 4.1.4 from 3.9.8 (no changes needed).
    - Remove the Vcs-fields until the package repository moves to Salsa.
    - Remove the deprecated Priority: extra field from unixodbc-dev.
    - Use the inherited Section field for libodbc1 and odbcinst1debian2.
    - Update package descriptions for odbcinst1debian2 and odbcinst.
    - Drop un-needed Conflicts field from unixodbc.
  * debian/copyright:
    - Use secure HTTP in the Format field.
    - Update Copyright information for unixODBC 2.3.6.
  * debian/docs:
     - Rename to unixodbc.docs.
  * debian/patches:
    - Convert unixodbc_2.3.4-1.1.diff into patches.
    - Add a patch to prevent __post_internal_error() from being exported.
    - Add a patch to fix spelling errors in DRVConfig/txt/drvcfg.c.
    - Add a patch to fix spelling and formatting in odbcinst.ini.5.
    - Forward some patches upstream.
  * debian/rules:
    - Add 'hardening=+all' to DEB_BUILD_MAINT_OPTIONS.
    - Remove '--with autoreconf' (now handled by debhelper >= level 10).
    - Remove dh_auto_clean override.
    - Compile with the default CXXFLAGS options.
  * Add debian/watch file.
  * Remove a lintian override (symbols-file-contains-debian-revision).
  * Remove debian/clean (no longer needed).
  * Remove debian/odbcinst.postinst (no longer needed).
  * Remove debian/dirs: /usr/lib/odbc has been replaced by multi-arch paths.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Wed, 09 May 2018 21:53:53 +1000

unixodbc (2.3.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Mark unixodbc-dev Multi-Arch: same (Closes: #872411).
    - Depend on libltdl-dev instead of libltdl3-dev.
  * debian/rules:
    - Compile with --enable-fastvalidate to avoid performance degradation
      when working with large numbers of handles (Closes: #819622).
    - Move unixodbc_conf.h to /usr/include/<triplet> to avoid
      a file conflict on multi-arch systems.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Tue, 07 Nov 2017 18:12:44 +1100

unixodbc (2.3.4-1) unstable; urgency=medium

  * New upstream release.  Closes: #843847.
    - Drop patches to autogenerated files in the source tree, since we use
      dh-autoreconf already.
    - Drop AM_MAINTAINER_MODE, no longer needed due to the above.
    - Drop no-longer-used lintian override.
  * Standards-Version to 3.9.8.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Dec 2016 10:55:09 +0000

unixodbc (2.3.1-5) unstable; urgency=low

  * Make unixodbc-dev depend directly on libodbc1, not just transitively
    via unixodbc, now that unixodbc is Multi-Arch: foreign.
    Closes: #839170.
  * Fix unixodbc-dev package section.  Closes: #813991.

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Sep 2016 13:13:32 -0700

unixodbc (2.3.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use AC_CONFIG_MACRO_DIR([libltdl/m4]) in configure.in
    instead of ACLOCAL_AMFLAGS=-I libltdl/m4 in Makefile.am
    to add libltdl/m4 macro directory. Closes: #818407.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 04 Apr 2016 23:51:00 +0200

unixodbc (2.3.1-4) unstable; urgency=medium

  * odbcinst/_SQLGetInstalledDrivers.c: don't open /etc/odbcinst.ini for
    writing when we never write to it.  Closes: #801258.

 -- Steve Langasek <vorlon@debian.org>  Wed, 07 Oct 2015 19:29:52 -0700

unixodbc (2.3.1-3) unstable; urgency=low

  * DriverManager/SQLConnect.c: put a mutex around the call to
    lt_dlsetsearchpath(), to avoid double-frees in a multithreaded context.
    Closes: #746423.

 -- Steve Langasek <vorlon@debian.org>  Wed, 30 Apr 2014 00:35:50 +0000

unixodbc (2.3.1-2) unstable; urgency=medium

  * Use dh-autoreconf instead of a homegrown autotools target; this fixes
    problems caused by config.sub having the wrong permissions in the upstream
    tarball.  Closes: #738516.

 -- Steve Langasek <vorlon@debian.org>  Sun, 06 Apr 2014 09:58:18 +0000

unixodbc (2.3.1-1) unstable; urgency=low

  * New upstream release.  Closes: #650267.
    - Drop changes to exe/isql.c, exe/odbcinst.c, exe/iusql.c, fixed
      differently upstream.
    - Drop libgtrtst library from libodbc1; this is technically an ABI
      change, but nothing has ever used this library so we're not changing
      the package name.
    - Since the library ABI has not changed in Debian (ever), keep the
      package names the same and provide backwards-compatible symlinks to
      avoid an unnecessary library transition; and update the symbols/shlibs
      to make it clear the old versions of the library don't satisfy these
      dependencies any longer.
  * Bump the build dependency on debhelper to 9.
  * Fix LDFLAGS handling so that we pick up hardening flags properly.
    Closes: #717257.
  * Fix debian/copyright to comply with copyright-format 1.0.
  * Update to Standards-Version 3.9.4.
  * Fix the section of the odbcinst package.  Closes: #663077.
  * Update the odbcinst manpage to document all the current options.
    Closes: #709968

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 Oct 2013 06:10:57 +0000

unixodbc (2.2.14p2-5) unstable; urgency=low

  * Mark unixodbc Multi-Arch: foreign.

 -- Steve Langasek <vorlon@debian.org>  Tue, 08 Nov 2011 10:49:50 -0800

unixodbc (2.2.14p2-4) unstable; urgency=low

  * Add libltdl/config.sub to debian/clean
  * exe/isql.c, exec/odbcinst.c, exe/iusql.c: fix passing of usage
    information to printf, so that we don't fail the checks for unsafe
    format string handling.
  * Drop the Qt library and unixodbc-bin, now split into a separate source
     upstream.  Closes: #604387.

 -- Steve Langasek <vorlon@debian.org>  Mon, 17 Oct 2011 17:34:33 +0000

unixodbc (2.2.14p2-3) unstable; urgency=low

  * Add Vcs-Bzr field.
  * Build for multiarch.
  * Split unixodbc into a libodbc1 package and a unixodbc package,
    the latter now containing just isql and with a versioned dependency on
    libodbc1 for compatibility with existing dependencies.  This is better
    that moving isql into a new 'isql' package and having unixodbc depend
    on it because 'unixodbc' is a wrong name for a library package.
  * exe/isql.c: patch from upstream to fix isql segfault with the -b option.
    Thanks to Tim Gokcen <hexetic@gmail.com> for reporting.  Closes: #607895.
  * Call lt_dlsetsearchpath() so that we can use relative paths for ODBC
    modules in a multiarch-clean manner
  * Document the availability of multiarch driver support in debian/NEWS.
  * DriverManager/SQLDriverConnect.c: fix a potential buffer overflow.
    Closes: #617655
  * debian/rules: update libltdl/config.sub, not just config.sub, when out
    of date.  Closes: #576980.
  * odbcinst1debian2 Breaks the old drivers that reference driver setup
    modules in /usr/lib that are shipped in this package, so declare this.
  * Standards-Version to 3.9.2.
  * Drop .la files from unixodbc-dev, now that there are no shared libraries
    left that depend on them.
  * Pull patch from Ubuntu to fix FTBFS on ppc64.
  * Clean up the odbcinst1debian2 package description.

 -- Steve Langasek <vorlon@debian.org>  Sun, 21 Aug 2011 06:35:23 +0000

unixodbc (2.2.14p2-2) unstable; urgency=low

  * Apply patch from
    http://cvs.fedoraproject.org/viewvc/devel/unixODBC/odbcint64-config.patch
    to ensure we get the necessary (U)ODBCINST64 defines.  Thanks to
    Matthias Klose for the pointer.  Closes: #582591, LP: #620428.

 -- Steve Langasek <vorlon@debian.org>  Fri, 20 Aug 2010 14:51:31 -0700

unixodbc (2.2.14p2-1) unstable; urgency=low

  * New upstream release (closes: #433312).
    - Fixes compatibility with Oracle driver.  Closes: #567521.
    - The txt driver has been dropped upstream.
    - The prototype of odbcinst_system_file_path has changed, so time for
      another package rename to odbcinst1debian2.
    - Touch debian/unixodbc.symbols for new interfaces.
  * Drop build-dependencies on flex-old and bison, no longer used.
  * Build-conflict with unixodbc-dev, to work around libtool's persistent
    relinking problems
  * Build-depend on libqt3-compat-headers instead of patching all of the code;
    if libqt3-compat-headers ever goes away, we should just switch to Qt4
    instead.
  * exe/Makefile.am: don't build dltest, this only works if we're using
    the bundled libtool.
  * Port AC_LIBTOOL_LANG_CXX_CONFIG changes over to the current
    _LT_LANG_CXX_CONFIG macro.
  * Build with --without-pth, we want pthreads even if pth is installed in the
    build env.
  * Fix installation of libnn.so at build time, so we don't ship a dangling
    symlink instead.  Closes: #563283.

 -- Steve Langasek <vorlon@debian.org>  Wed, 24 Mar 2010 16:22:28 -0700

unixodbc (2.2.11-21) unstable; urgency=low

  * Fix short description of odbcinst1debian1 to not refer to the bits that
    have been moved to odbcinst.
  * Build-depend on libreadline-dev instead of libreadline5-dev, for the
    readline6 transition; doesn't interfere with backports, since
    libreadline5-dev already provided libreadline-dev.  Closes: #553870.
  * Copy in the setup libraries correctly, so we don't wind up with dangling
    symlinks in the package.  Closes: #552161.

 -- Steve Langasek <vorlon@debian.org>  Mon, 02 Nov 2009 03:59:14 -0800

unixodbc (2.2.11-20) unstable; urgency=low

  * Split binaries out of odbcinst1debian1 into a new odbcinst package, so
    that we aren't in the situation of trying to clean up config files in
    the purge target of a shared library package.

 -- Steve Langasek <vorlon@debian.org>  Sun, 06 Sep 2009 13:50:40 -0700

unixodbc (2.2.11-19) unstable; urgency=low

  * /etc/odbcinst.ini should not be a conffile.  Create it in the postinst
    on upgrade instead if it doesn't exist, and remove in postrm purge.
    (As a side effect, this means we'll need to split this package for
    multiarch, but we already have to do that due to /usr/bin/odbcinst; we
    just need to do it sooner rather than later, to avoid purging config
    files on library purge...)  Closes: #376368.

 -- Steve Langasek <vorlon@debian.org>  Fri, 04 Sep 2009 20:56:00 -0700

unixodbc (2.2.11-18) unstable; urgency=low

  * Put the headers back in unixodbc-dev; those are kind of important.
    Closes: #544438.

 -- Steve Langasek <vorlon@debian.org>  Mon, 31 Aug 2009 10:20:58 -0700

unixodbc (2.2.11-17) unstable; urgency=low

  * Drop dltest from the package description, because it was dropped from the
    package two years ago; thanks to Pete Boyd for pointing this out.
    Closes: #448610.
  * Build-Depend on libltdl-dev instead of libltdl3-dev. Closes: #476452.
  * Have unixodbc Suggest: unixodbc-bin, per user request.  Closes: #240035.
  * Suggest tdsodbc, not libct1.
  * Update debhelper compat to 7, adding ${misc:Depends} where needed
  * Drop debian/dh_makeshlibs and the .manifest files in favor of the
    now-standard dpkg-gensymbols .symbols files
  * Rename lintian files to *.lintian-overrides so dh_lintian will take care
    of them
  * Migrate from dh_movefiles to dh_install
  * Switch debian/rules to use dh
  * Clean up debian/copyright to be more accurate (and approximate DEP5)
  * Fix up menu files for the current section names (Apps->Applications;
    Databases->Data Management)
  * Neuter the .la files to not net dependency_libs, so that we can
    eventually get rid of them entirely
  * Drop unused debian/odbcinst_psql.ini file
  * Drop unneeded entries in debian/dirs
  * Set LDFLAGS=-Wl,-z,defs in debian/rules, to guard against all undefined
    symbols
  * Fix libodbcinstq1c2's missing dep on libltdl, picked up by the above
    change
  * Fix libodbctxt to not use undefined "stricmp" function
  * Add Homepage field
  * Standards-Version to 3.8.3.

 -- Steve Langasek <vorlon@debian.org>  Sun, 30 Aug 2009 18:47:57 -0700

unixodbc (2.2.11-16) unstable; urgency=low

  * The "libtool loves me, yes I know, because my upstream tells me so"
    release
  * Synchronize the local modifications to AC_LIBTOOL_LANG_CXX_CONFIG,
    introduced in 2.2.11-14, with the current version from the libtool
    package, as used in 2.2.11-15; now we should actually be getting usable
    PIC libraries again and building on all archs, not just hurd.
    Closes: #434203.

 -- Steve Langasek <vorlon@debian.org>  Thu, 26 Jul 2007 23:56:04 -0700

unixodbc (2.2.11-15) unstable; urgency=low

  * Relibtoolize with newest Debian libtool, to add hurd support.
    Closes: #407114.

 -- Steve Langasek <vorlon@debian.org>  Fri, 13 Jul 2007 12:28:21 -0700

unixodbc (2.2.11-14) unstable; urgency=low

  * Include modified AC_LIBTOOL_LANG_CXX_CONFIG macro in acinclude.m4,
    so that libtool -export-symbols actually works with GNU ld for C++
    libs; and update the symbol manifests to match.
    Closes: #429600, #342084.
  * The libtool version used in the package was updated in the process.
    Closes: #366436.
  * Replace ${Source-Version} with ${binary:Version}.
  * Install lintian overrides for library package names.
  * Set LC_MESSAGES=C explicitly in debian/dh_makeshlibs when calling
    objdump, so that grep works as intended.  Closes: #407062.

 -- Steve Langasek <vorlon@debian.org>  Thu, 28 Jun 2007 07:24:19 -0700

unixodbc (2.2.11-13) unstable; urgency=low

  * Pull in an ABI change from unixodbc 2.2.12 for 64-bit platforms;
    2.2.12 hasn't been released yet, but if the ABI is going to change
    we should change it sooner rather than later.
  * Fix a typo in the odbcinst(1) manpage; thanks to Rowan Rodrik van
    der Molen for catching this.  Closes: #347362.

 -- Steve Langasek <vorlon@debian.org>  Sat,  8 Apr 2006 00:20:49 -0700

unixodbc (2.2.11-12) unstable; urgency=low

  * Remove the last traces of libtemplate from unixodbc-dev.
    Closes: #360343.

 -- Steve Langasek <vorlon@debian.org>  Sun,  2 Apr 2006 18:03:04 -0700

unixodbc (2.2.11-11) unstable; urgency=low

  * Drop gtkodbcconfig0 and godbcconfig packages; the godbcconfig interface
    was never very good (compared to the Qt-based tools in unixodbc-bin) and
    doesn't seem to be maintained upstream, the gtkodbcconfig0 package has no
    other reverse-depends and now has an RC rpath bug which it just isn't
    worth trying to fix.  Closes: #136559, #136560, #358142.
  * This means we can drop the build-depends on libgnome-dev, gdk-imlib1-dev,
    and libgtk1.2-dev as well.

 -- Steve Langasek <vorlon@debian.org>  Tue, 21 Mar 2006 18:07:44 -0800

unixodbc (2.2.11-10) unstable; urgency=low

  * One-line patch to sqltypes.h to define BUILD_REAL_64_BIT_MODE explicitly,
    instead of depending on the caller to define it; this ensures everyone is
    building against the ABI that's actually present in the library, so they
    will at minimum get compiler warnings if they get the prototypes wrong.

 -- Steve Langasek <vorlon@debian.org>  Sat,  4 Mar 2006 02:19:44 -0800

unixodbc (2.2.11-9) unstable; urgency=low

  * Go ahead and rebuild against libqt3-mt, since unixodbc-dev is
    currently uninstallable and the current package version won't reach
    testing without rebuilds of some of its reverse-depends.
    Closes: #323358.
  * Rename libodbcinstq1 to libodbcinstq1c2 for the C++ transition.

 -- Steve Langasek <vorlon@debian.org>  Fri,  9 Sep 2005 03:30:04 -0700

unixodbc (2.2.11-8) unstable; urgency=low

  * Fix backslash issue in debian/dh_makeshlibs -- grepping out bogus
    symbols didn't work after all

 -- Steve Langasek <vorlon@debian.org>  Sun,  3 Jul 2005 10:40:40 -0700

unixodbc (2.2.11-7) unstable; urgency=low

  * The "never-ending fun" release
  * Version two of the library symbol manifest format:
    - include only weak and global symbols in the manifest, not local
      symbols
    - demangle C++ symbols so that the names are consistent across
    - architectures
    - record the __cxa_pure_virtual symbol, which includes the C++ ABI
      name (for *most* libs)
    - trim the extra symbols that the toolchain is known to add on mips,
      mipsel, powerpc, and hppa.
    The library manifest should now work across all archs for the vast
    majority of libs without the finicky per-arch manifests.

 -- Steve Langasek <vorlon@debian.org>  Sun,  3 Jul 2005 00:07:26 -0700

unixodbc (2.2.11-6) unstable; urgency=low

  * Per-arch manifests still needed on ia64, due to all libs picking up
    symbols on ia64 even though they don't on any other architecture. :/

 -- Steve Langasek <vorlon@debian.org>  Thu, 30 Jun 2005 16:05:30 -0700

unixodbc (2.2.11-5) unstable; urgency=low

  * And ia64 also needs a per-arch manifest due to compiler-generated
    symbols.
  * Drop libtemplate.so.1 from the unixodbc package, because it's not
    worth all this trouble just for a sample driver that doesn't
    actually do anything.

 -- Steve Langasek <vorlon@debian.org>  Wed, 29 Jun 2005 23:02:15 -0700

unixodbc (2.2.11-4) unstable; urgency=low

  * <sigh> once more... powerpc needs per-arch manifests for some
    libraries still, due to compiler-generated symbols.

 -- Steve Langasek <vorlon@debian.org>  Sun, 26 Jun 2005 17:31:56 -0700

unixodbc (2.2.11-3) unstable; urgency=low

  * Add one final symbol to odbcinst, needed by libodbcinstQ.so.1.
  * Add a per-arch manifest for gtkodbcconfig0 as well on mips/mipsel
    (irritating compiler-provided symbols...), and one for libobcinstq1
    on m68k due to C++ symbol mangling differences
  * Move UnixODBC tools to App/Databases in the Debian menu (from
    Apps/Tools).  Closes: #230682.

 -- Steve Langasek <vorlon@debian.org>  Thu, 23 Jun 2005 04:19:02 -0700

unixodbc (2.2.11-2) unstable; urgency=low

  * Fix library manifest handling to support per-architecture manifest
    files, and deal with differences in the format of objdump -T output
    between 32-bit and 64-bit architectures
  * Add ia64, alpha, amd64, mips, and mipsel manifests for specific
    packages, due to architecture differences in the resulting symbol
    tables

 -- Steve Langasek <vorlon@debian.org>  Wed, 22 Jun 2005 22:45:18 -0700

unixodbc (2.2.11-1) unstable; urgency=low

  * New upstream release (closes: #225572)
    - most of the Debian diff merged upstream
    - possible fix for segfault connecting with db2 from perl (closes:
      #268472)
    - libboundparam.so.1 and libodbcextras.so.1 are now dropped from
      the unixodbc package (and upstream); not changing the package
      name, because the one was sample code and the other had a total of
      one exported symbol, named "__extra_func_to_mollify_linker"...
    - odbcinst1 is renamed to odbcinst1debian1: symbols have been
      dropped (and function prototypes changed) without an upstream
      soname change, so we get an ugly package name instead.
    - use --enable-ltdllib now instead of --disable-ltdl-install, since
      upstream appears to have an option now that does what we want
      without hacking configure.in.
  * Switch build-depends from flex to flex-old, and add build-depends on
    bison.
  * Bump build-depends on readline to libreadline5-dev.
  * Add ini* to the list of exported symbols from libodbcinst.so
    (needed by some applications)
  * Drop the obsolete odbcinst1.preinst.
  * Drop the dltest command, which is of limited utility to end users
  * Integrate new isql(1) manpage provided by Kurt Roeckx (closes:
    #236476).
  * Drop headers from unixodbc-dev that we shouldn't be installing;
    upstream has a working install target, so there's no reason to
    overshoot by installing headers manually, and most of the extras
    we were installing weren't usable for anything at all.  This also
    means the Conflicts: with arla-dev can be dropped (closes: #312129).

 -- Steve Langasek <vorlon@debian.org>  Tue, 14 Jun 2005 04:16:42 -0700

unixodbc (2.2.4-11) unstable; urgency=low

  * Brown paper bag me: conflicts do not write themselves just because
    you add a line to the changelog.

 -- Steve Langasek <vorlon@debian.org>  Fri, 15 Oct 2004 03:07:52 -0700

unixodbc (2.2.4-10) unstable; urgency=high

  * High-urgency upload for an RC bugfix.
  * Suggest libct1 instead of libct0, since the latter is no more
    (closes: #255534).
  * Conflict with arla-dev, since both provide /usr/include/log.h (at
    least for now). Closes: #274784.

 -- Steve Langasek <vorlon@debian.org>  Tue,  5 Oct 2004 00:07:04 -0700

unixodbc (2.2.4-9) unstable; urgency=low

  * Fix a pair of undefined symbols in libodbccr.so that would have
    caused linker assertions if this code were ever actually used
    (closes: #215974).

 -- Steve Langasek <vorlon@debian.org>  Sat, 24 Jan 2004 16:04:53 -0600

unixodbc (2.2.4-8) unstable; urgency=low

  * Fix godbcconfig's section to 'gnome' instead of 'x11'.
  * Upgrade to libtool 1.5, so that we can avoid unnecessary linking of
    indirect dependencies; should address bugs like #210628.  Also
    closes: #211106.

 -- Steve Langasek <vorlon@debian.org>  Fri, 12 Sep 2003 10:27:00 -0500

unixodbc (2.2.4-7) unstable; urgency=low

  * Suggest libct1 instead of the defunct libct0.
  * Provide more detail in long package descriptions (closes: #209667,
    #210142).

 -- Steve Langasek <vorlon@debian.org>  Sun,  7 Sep 2003 11:48:34 -0500

unixodbc (2.2.4-6) unstable; urgency=low

  * Fix the path passed to dh_shlibdeps, so we actually find our
    libraries.
  * Make sure SQLLEN and SQLULEN are #defines on 64-bit archs as well,
    to make it easier for app build scripts to cope.
  * Make unixodbc-dev depend on libltdl3-dev, now that we're using the
    external libltdl.

 -- Steve Langasek <vorlon@debian.org>  Sat,  1 Mar 2003 15:01:01 -0600

unixodbc (2.2.4-5) unstable; urgency=low

  * Fix the libodbctxt.so problem again: exempt it from the dh_movefiles
    list, and also change to using the system libltdl.

 -- Steve Langasek <vorlon@debian.org>  Mon, 24 Feb 2003 20:35:04 -0600

unixodbc (2.2.4-4) unstable; urgency=low

  * remove extra directories from unixodbc binary package
  * set AM_MAINTAINER_MODE for gODBCConfig, overlooked earlier

 -- Steve Langasek <vorlon@debian.org>  Sun, 23 Feb 2003 20:00:19 -0600

unixodbc (2.2.4-3) unstable; urgency=low

  * Address the upload race-condition that had libqt3-headers moving
    at the same time I was preparing an upload depending on it.
  * Add more 64-bit fixes to the code; now builds cleanly on alpha,
    and works with all the drivers that worked before.

 -- Steve Langasek <vorlon@debian.org>  Sun, 23 Feb 2003 12:59:06 -0600

unixodbc (2.2.4-2) unstable; urgency=low

  * Fix the build scripts to not depend on <vomit> xmkmf, and to also
    account for changes to <sigh> autoconf's internal macros between
    2.13 and 2.57.
  * While we're at it, add --disable-dependency-tracking to the
    configure options; saves time building given that 'make clean'
    happens with every invocation of dpkg-buildpackage anyway.

 -- Steve Langasek <vorlon@debian.org>  Wed, 19 Feb 2003 19:37:50 -0600

unixodbc (2.2.4-1) unstable; urgency=low

  * New upstream release (closes: #159447).
  * Conflict with old versions of remembrance-agent, which included
    libtemplate.a (closes: #155101).
  * Remove the alpha-specific build flags, since we're now using gcc 3.2.
  * Move libodbcinstQ.so into its own package, as part of the C++ ABI
    transition (closes: #140733).
  * Fix libgtkodbcconfig so that it's properly linked against libs it
    depends on.  Correspondingly move this helper lib to its own package,
    so no one screams at me for forcing the installation of libesd on
    their servers.
  * shuffle build rules about, to clean up empty dirs in the main
    (unixodbc) package.

 -- Steve Langasek <vorlon@debian.org>  Sun, 26 Jan 2003 12:36:05 -0600

unixodbc (2.1.1-10) unstable; urgency=low

  * "libtool is my shepherd, I shall not want": try (again!) to get
    libtool to behave itself by upgrading to libtool 1.4.2, since it's
    now breaking builds on mips and mipsel that worked before.

 -- Steve Langasek <vorlon@debian.org>  Sun,  6 Oct 2002 00:13:58 -0500

unixodbc (2.1.1-9) unstable; urgency=low

  * Amend build-deps to point to the new gdk-imlib1-dev package
    (closes: #162562).
  * Polish the package descriptions for accuracy.

 -- Steve Langasek <vorlon@debian.org>  Fri, 27 Sep 2002 09:14:24 -0500

unixodbc (2.1.1-8) unstable; urgency=low

  * Loosen the relationship between unixodbc-dev and the GUI development
    packages; for the most part, people developing GUIs should be able
    to figure out for themselves what packages they need, without being
    strongarmed by dselect.

 -- Steve Langasek <vorlon@debian.org>  Sat, 30 Mar 2002 10:52:17 -0600

unixodbc (2.1.1-7) unstable; urgency=low

  * Add manpages for odbcinst(1), ODBCConfig, and gODBCConfig.
    Addresses 3 out of 7 lintian errors.

 -- Steve Langasek <vorlon@debian.org>  Sat,  2 Mar 2002 18:06:07 -0600

unixodbc (2.1.1-6) unstable; urgency=low

  * Avoid duplication of effort: we no longer ship the postgres driver,
    but refer to the odbc-postgresql package instead.

 -- Steve Langasek <vorlon@debian.org>  Thu, 21 Feb 2002 21:14:50 -0600

unixodbc (2.1.1-5) unstable; urgency=low

  * The why-do-we-care-about-the-text-driver-anyway? release.
  * Since libtool is so completely broken in handling libodbctxt.so,
    and since libodbctxt.so is so useless, let's just ignore it.  If it
    doesn't build, eehhhh.

 -- Steve Langasek <vorlon@debian.org>  Fri,  8 Feb 2002 09:59:55 -0600

unixodbc (2.1.1-4) unstable; urgency=low

  * Patch ltmain.sh to handle the 'relinking' issue with libraries
    depending on other libraries in the package. (closes: #130030)
  * Fix use of libodbcinstQ to look for .so.1 instead of .so when
    dlopening. (closes: #129845)
  * Tweak to the install target (DESTDIR && !sysconfdir)
  * Use GNU-standard arch values when passing to configure.

 -- Steve Langasek <vorlon@debian.org>  Thu, 31 Jan 2002 11:29:00 -0600

unixodbc (2.1.1-3) unstable; urgency=low

  * Try to fix the libtool brokenness by using DESTDIR instead of
    prefix.
  * Make sure Qt support gets built properly on i386 this time
    (closes: #129845)
  * Add library path to dh_shlibdeps invocation, fix for behavior when
    building on a machine where unixodbc is not already installed.

 -- Steve Langasek <vorlon@debian.org>  Mon, 21 Jan 2002 11:28:00 -0600

unixodbc (2.1.1-2) unstable; urgency=low

  * Separate odbcinst library into a separate package, so that drivers
    can depend on just this package instead of on all of unixodbc.
  * Move GUI configure libs and included drivers into subdirectory,
    /usr/lib/odbc/
  * Get rid of static versions of plugins, since nothing should link to
    them directly.
  * Pave the way for automatic install of postgres, txt, nn drivers.

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 Jan 2002 11:08:00 -0600

unixodbc (2.1.1-1) unstable; urgency=low

  * New upstream release (closes: 116375 (for real this time))
  * Add build-dep for flex, which was accidentally chopped.
  * Build against the multi-threaded version of the Qt library; fixes
    possible build problems if libqt-mt is installed in the build
    environment but libqt-mt-dev is not.  Plus multi-threading is good.

 -- Steve Langasek <vorlon@debian.org>  Thu,  3 Jan 2002 17:01:28 -0600

unixodbc (2.0.11-1) unstable; urgency=low

  * New upstream release (closes: 116375)
  * Correct spelling of QT to Qt. (closes: 118879)
  * Change priority of unixodbc-dev to match the overrides file.
  * Remove alpha dependency on gcc-3.0, to keep in sync with Qt packages.
  * Add static libs to the -dev package, previously missing.

 -- Steve Langasek <vorlon@debian.org>  Sat, 17 Nov 2001 20:04:34 -0600

unixodbc (2.0.8-4) unstable; urgency=low

  * change unixodbc's preinst to only move files out of /etc/unixodbc
    that match the names of known config files.  This addresses problems
    reported when /etc is under control of CVS, and also prevents
    accidental overwriting of existing files in /etc.  (closes: 117873)

 -- Steve Langasek <vorlon@debian.org>  Fri,  2 Nov 2001 16:41:00 -0600

unixodbc (2.0.8-3) unstable; urgency=low

  * cosmetic fix to package descriptions (closes: 110196)
  * manually specify {host,build} arch, eliminating need for config.guess.

 -- Steve Langasek <vorlon@debian.org>  Mon, 27 Aug 2001 12:15:00 -0500

unixodbc (2.0.8-2) unstable; urgency=low

  * Fix alpha build now that qt is better-supported
  * Fix config.{guess,sub} in the gODBCConfig subdirectory

 -- Steve Langasek <vorlon@debian.org>  Tue, 10 Jul 2001 20:18:00 -0500

unixodbc (2.0.8-1) unstable; urgency=low

  * New upstream release
  * Set up build rules to always use the local config.{guess,sub} scripts or
    the ones installed on the system, whichever are newer (closes: #103381)

 -- Steve Langasek <vorlon@debian.org>  Tue, 10 Jul 2001 16:40:28 -0500

unixodbc (2.0.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Run libtoolize to get support for new architectures.  Closes: #103381

 -- LaMont Jones <lamont@debian.org>  Mon, 9 Jul 2001 21:39:34 -0600

unixodbc (2.0.5-2) unstable; urgency=low

  * New maintainer (closes: #89581)
  * Removed indirect build-dependencies; let the packages we depend on pick
    those up.
  * Removed unnecessary unixodbc-dev dependency on libc6-dev, which is
    build-essential and not cross-platform.
  * temporarily disable building of Qt GUI tools on alpha until we have a
    working compiler.

 -- Steve Langasek <vorlon@debian.org>  Sun, 20 May 2001 21:35:00 -0500

unixodbc (2.0.5-1) unstable; urgency=low

  * Removed build-dependency on libdb2-dev, since libgnoem-dev already
    depends on libdb3-dev. (closes: #96985)

 -- Bas Zoetekouw <bas@debian.org>  Fri, 11 May 2001 15:14:02 +0200

unixodbc (2.0.5-0.1) unstable; urgency=low

  * NMU
  * New upstream version
  * Update maintainer field

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 18 Apr 2001 02:30:00 -0700

unixodbc (2.0.4-4) unstable; urgency=low

  * Changing maintainer to Debian QA

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 14 Mar 2001 00:18:00 -0700

unixodbc (2.0.4-3) unstable; urgency=low

  * Update Build-Depends to force build with new qt
  * Build against new qt package
  * Remove versioned depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 23 Feb 2001 09:48:00 -0700

unixodbc (2.0.4-2) unstable; urgency=low

  * Fix Build-Depends to reflect new libqt-dev package
  * Remove undocumented links
  * update shlibs since I forgot to do it before
  * Update recommends for -dev package

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 03:11:00 -0700

unixodbc (2.0.4-1) unstable; urgency=low

  * New upstream version
  * Fix postgres socket again (Closes: #85262)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 09 Feb 2001 04:15:00 -0700

unixodbc (2.0.3-2) unstable; urgency=low

  * Cleanup build-depends adding a couple missing ones
  * Fixing shlibs

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 23 Jan 2001 23:43:00 -0700

unixodbc (2.0.3-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 17 Jan 2001 09:54:00 -0700

unixodbc (2.0.2-1) unstable; urgency=low

  * New upstream version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 13 Jan 2001 02:50:00 -0700

unixodbc (2.0.1-1) unstable; urgency=low

  * New upstream version
  * Adding in menus

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 07 Jan 2001 05:20:00 -0700

unixodbc (1.8.13.0-1) unstable; urgency=low

  * New upstream stable release - woh I got behind
  * Build against new qt
  * More work on build-depends

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 18:30:00 -0700

unixodbc (1.8.13-0.cvs20000926.9) unstable; urgency=low

  * More dependency work
  * Build against new qt

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 13 Dec 2000 18:30:00 -0700

unixodbc (1.8.13-0.cvs20000926.7) unstable; urgency=low

  * Building against new qt and xlibs

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 04 Nov 2000 14:30:00 -0700

unixodbc (1.8.13-0.cvs20000926.6) unstable; urgency=low

  * Updating libmyodbc suggest

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Oct 2000 17:54:00 -0700

unixodbc (1.8.13-0.cvs20000926.5) unstable; urgency=low

  * Including missing header files (Closes: #75393)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 23 Oct 2000 12:47:00 -0700

unixodbc (1.8.13-0.cvs20000926.4) unstable; urgency=low

  * Fixing m68k build and others by removing dup movefiles listing

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 19 Oct 2000 21:00:00 -0700

unixodbc (1.8.13-0.cvs20000926.3) unstable; urgency=low

  * Changing recommends to suggests (Closes: #72763)
  * Building against qt 2.2.1

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 08 Oct 2000 05:00:00 -0700

unixodbc (1.8.13-0.cvs20000926.2) unstable; urgency=low

  * Fixing perm problem with configure

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 26 Sep 2000 22:30:00 -0700

unixodbc (1.8.13-0.cvs20000926.1) unstable; urgency=low

  * New upstream cvs version

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 26 Sep 2000 17:30:00 -0700

unixodbc (1.8.12-8) unstable; urgency=low

  * More build-depends fixes
  * Adding in a Recommend for libmyodbc2.50.26

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 25 Sep 2000 16:45:00 -0700

unixodbc (1.8.12-7) unstable; urgency=low

  * Fixing conffile problem...oops

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 20 Sep 2000 17:00:00 -0700

unixodbc (1.8.12-6) unstable; urgency=low

  * Fixing Driver location problem (Closes: #71725)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 21:30:00 -0700

unixodbc (1.8.12-5) unstable; urgency=low

  * Fixing Postgres socket (Closes: #71740)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 18 Sep 2000 16:45:00 -0700

unixodbc (1.8.12-4) unstable; urgency=low

  * Adding in a conflict for libiodbc-dev (Closes: #71342)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 11 Sep 2000 03:30:00 -0700

unixodbc (1.8.12-3) unstable; urgency=low

  * Fixing a dangling .so file

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 10 Sep 2000 01:00:00 -0700

unixodbc (1.8.12-2) unstable; urgency=low

  * Fixing global section

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 08 Sep 2000 02:30:00 -0700

unixodbc (1.8.12-1) unstable; urgency=low

  * Initial Release.

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 26 Aug 2000 02:53:23 -0600

Local variables:
mode: debian-changelog
End:
